public static final class CustomAPIQueryKeyValue.Builder extends GeneratedMessage.Builder<CustomAPIQueryKeyValue.Builder> implements CustomAPIQueryKeyValueOrBuilderCustomAPIQueryKeyValue defines dynamic query parameters key-values for Custom API Auth.
Protobuf type google.cloud.chronicle.v1.CustomAPIQueryKeyValue
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > CustomAPIQueryKeyValue.BuilderImplements
CustomAPIQueryKeyValueOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public CustomAPIQueryKeyValue build()| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue |
|
buildPartial()
public CustomAPIQueryKeyValue buildPartial()| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue |
|
clear()
public CustomAPIQueryKeyValue.Builder clear()| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue.Builder |
|
clearKey()
public CustomAPIQueryKeyValue.Builder clearKey()Required. Enter the name of the URL Query Parameter (e.g., api_key or token).
string key = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue.Builder |
This builder for chaining. |
clearValue()
public CustomAPIQueryKeyValue.Builder clearValue()Required. Enter the API Key or credential value associated with the query parameter.
string value = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue.Builder |
This builder for chaining. |
getDefaultInstanceForType()
public CustomAPIQueryKeyValue getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getKey()
public String getKey()Required. Enter the name of the URL Query Parameter (e.g., api_key or token).
string key = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The key. |
getKeyBytes()
public ByteString getKeyBytes()Required. Enter the name of the URL Query Parameter (e.g., api_key or token).
string key = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for key. |
getValue()
public String getValue()Required. Enter the API Key or credential value associated with the query parameter.
string value = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The value. |
getValueBytes()
public ByteString getValueBytes()Required. Enter the API Key or credential value associated with the query parameter.
string value = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for value. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(CustomAPIQueryKeyValue other)
public CustomAPIQueryKeyValue.Builder mergeFrom(CustomAPIQueryKeyValue other)| Parameter | |
|---|---|
| Name | Description |
other |
CustomAPIQueryKeyValue |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public CustomAPIQueryKeyValue.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public CustomAPIQueryKeyValue.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue.Builder |
|
setKey(String value)
public CustomAPIQueryKeyValue.Builder setKey(String value)Required. Enter the name of the URL Query Parameter (e.g., api_key or token).
string key = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe key to set. |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue.Builder |
This builder for chaining. |
setKeyBytes(ByteString value)
public CustomAPIQueryKeyValue.Builder setKeyBytes(ByteString value)Required. Enter the name of the URL Query Parameter (e.g., api_key or token).
string key = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for key to set. |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue.Builder |
This builder for chaining. |
setValue(String value)
public CustomAPIQueryKeyValue.Builder setValue(String value)Required. Enter the API Key or credential value associated with the query parameter.
string value = 2 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe value to set. |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue.Builder |
This builder for chaining. |
setValueBytes(ByteString value)
public CustomAPIQueryKeyValue.Builder setValueBytes(ByteString value)Required. Enter the API Key or credential value associated with the query parameter.
string value = 2 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for value to set. |
| Returns | |
|---|---|
| Type | Description |
CustomAPIQueryKeyValue.Builder |
This builder for chaining. |